Network Manager Icon Is not changin when VPN is connected (nm-device-wired-secure icon is missing)

Bug #772709 reported by Nikolay Morozov on 2011-04-28
78
This bug affects 17 people
Affects Status Importance Assigned to Milestone
GNOME Icon Theme
New
Undecided
Unassigned
tango-icon-theme
Confirmed
Medium
elementary-icon-theme (Ubuntu)
Undecided
Unassigned
gnome-icon-theme (Ubuntu)
Undecided
Unassigned
lubuntu-artwork (Ubuntu)
Undecided
Alexander Andjelkovic
network-manager-applet (Ubuntu)
Undecided
Unassigned
tango-icon-theme (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gnome-icon-theme

Ater upgrading to 11.04 in gnome icon the (humanity and unity themes works fine) is see bad icons when connecting VPN and VPN is connected.
Connected VPN icon is the same as original Network Manager. And connectin icon doen't show the Network manager icon only the flashing yellow lock (that must be over network manger icon)

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: gnome-icon-theme 2.31.0-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Fri Apr 29 01:05:10 2011
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-icon-theme
UpgradeStatus: Upgraded to natty on 2011-04-28 (0 days ago)

Nikolay Morozov (nmorozov) wrote :
Nikolay Morozov (nmorozov) wrote :

Using Ubuntu Classic

Nikolay Morozov (nmorozov) wrote :

Using xubuntu elementary and possible tango icon theme are also affected

Johannes Postler (josi) wrote :

For me the blink lock and "wave"-signal when connecting stay throughout the whole connection time. In the first place I thought the connection was not working, but it actually works perfectly, except for the icon.

Forest (foresto) wrote :

I see this problem on a fresh install of xubuntu 11.04 (Natty) with an openvpn connection. I normally use the Tango icon theme, but the problem shows up with the GNOME and elementary icon themes as well.

I'm attaching screen shots illustrating the network manager tray icon before, during, and after the vpn connection is established. Notice that the lock emblem appears temporarily while the vpn is connecting but then disappears, and that the plug-and-cable icon disappears while the vpn is connecting but then reappears. (I wonder if the two icons might be covering each other up.)

Forest (foresto) wrote :
Forest (foresto) wrote :
Forest (foresto) wrote :
Forest (foresto) wrote :

Just to be perfectly clear, I did not see this problem in Ubuntu Maverick.

John Doe (b2109455) wrote :

I have the same problem with Linux Mint 11.

Zpeedy (zpd406) wrote :

Works as expected for me under Natty 64-bit but not under LM11 64-bit

This is because indicators don't allow using composition to piece together icons, so we're using new icons instead -- some themes need to be fixed but in general the fallback one of using standard gnome icons (hicolor) should work and provide *something*.

Marking Invalid in network-manager-applet and indicator-applet since it's not really an issue there. It's not ideal, but it's the best I can offer for now; and I'll do more testing to clarify what needs to be done with the other icon themes.

Changed in network-manager-applet (Ubuntu):
status: New → Invalid
Changed in indicator-applet (Ubuntu):
status: New → Invalid
Changed in elementary-icon-theme (Ubuntu):
status: New → Confirmed
Changed in gnome-icon-theme (Ubuntu):
status: New → Confirmed
Changed in tango-icon-theme (Ubuntu):
status: New → Confirmed
Christian Weiske (cweiske) wrote :

Which icons need to be fixed in the themes? Getting to know the paths would be helpful.

Nikolay Morozov (nmorozov) wrote :

@Christian
VPN connection icons (in progress and connected). Minimal just fix network with VPN icon

Nikolay Morozov (nmorozov) wrote :

Analysing package context, we see that gnome-icon-theme and humanity-icon-theme have different structures
F.ex
from humanity-icon-theme /usr/share/icons/Humanity-Dark/apps/22/*
from gnome-icon-theme /usr/share/icons/gnome/22x22/apps/*

humanity-icon-theme have the needed icons but gnome-icon-theme haven't this icons at all

/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-active-lock.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting01.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting02.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting03.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting04.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting05.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting06.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting07.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting08.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting09.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting10.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting11.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting12.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting13.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-connecting14.svg
/usr/share/icons/Humanity-Dark/apps/22/nm-vpn-lock.svg

Maybe this is the bug problem ? Must Create this icons?

Nikolay Morozov (nmorozov) wrote :

Still exist in 11.10

Nikolay Morozov (nmorozov) wrote :

Still exist in 12.04

tags: added: oneiric precise
Peter Valdemar Mørch (pmorch) wrote :

Here is what I did to fix it. I only use VPN on the wired connection. I guess a similar approach will work for secure/VPN over wireless.

cd /usr/share/icons

# Make a copy of the existing icon theme
# "pvm" is me. Invent whatever name you like here
sudo cp -a elementary-xfce-dark pvm
cd pvm

# in index.theme, change the "Name=" field to something descriptive for you,
# e.g. "elementary Xubuntu dark - with nm-device-wired-secure"
sudo vi index.theme

sudo cp ../Humanity-Dark/status/22/nm-device-wired-secure.svg panel/22/

# Optional step
# If you don't like the looks of panel/22/nm-device-wired-secure.svg, edit it.
# I made it lighter to fit the rest of the theme.
sudo chmod a+w panel/22/nm-device-wired-secure.svg
inkscape panel/22/nm-device-wired-secure.svg

sudo gtk-update-icon-cache .

Peter Valdemar Mørch (pmorch) wrote :

Aarrrhh, forgot something in my last comment:

Of course the last step is that you have to actually now *select* this new theme:

Open Settings->Appearance->Icons. Choose the theme with the name you gave it. For me that was: "elementary Xubuntu dark - with nm-device-wired-secure".

Now that will work. If there is ever an update to the xubuntu-icon-theme package (containing /usr/share/icons/elementaryXubuntu/), you'll need to repeat these steps.

summary: - Network Manager Icon Is not changin when VPN is connected
+ Network Manager Icon Is not changin when VPN is connected (nm-device-
+ wired-secure icon is missing)
Changed in lubuntu-artwork (Ubuntu):
assignee: nobody → Alexander Andjelkovic (frankbooth)
Julien Lavergne (gilir) on 2012-08-17
Changed in lubuntu-artwork (Ubuntu):
status: New → In Progress
Changed in lubuntu-artwork (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lubuntu-artwork - 0.31

---------------
lubuntu-artwork (0.31) quantal; urgency=low

  * usr/share/icons:
   - Update default icon theme.
   - Update network-manager icon when using VPN (LP: #772709)
  * debian/control & lubuntu-panel-icons.install
   - Add a new binary for specific icons for the panel (only flags for now)
     (LP: #1016014)
  * usr/share/themes/Lubuntu-default:
   - Removing old reference to murrine (LP: #1037950)
  * debian/lubuntu-artwork.install
   - Add badges for unity-greeter (LP: #1035607)
  * debian/control & lubuntu-elementary-icon-theme.install:
   - Move the old icon theme into a new binary.
  * debian/control:
   - Update the decriptions of the icon themes.
  * debian/rules:
   - Update rules for the second icon theme.
  * usr/share/lxdm/themes/*/
   - Remove useless links.
 -- Julien Lavergne <email address hidden> Mon, 20 Aug 2012 22:18:26 +0200

Changed in lubuntu-artwork (Ubuntu):
status: Fix Committed → Fix Released
no longer affects: indicator-applet (Ubuntu)
Rob Jarvis (rjarvis2010) wrote :

Since the committed fix only addresses wired connections, I've created the icons for wireless VPN status as well, at least for the 22 and 24 sizes. (I didn't find the lock icon in other sizes in the 'elementary' icon set, which I used for the source.) How would I get them to somebody who can incorporate them into the Lubuntu Box theme?

Nikolay Morozov (nmorozov) wrote :

try to post here, i also have created icon for GNOME icone theme. Maybe somebody will integrate it...

Rob Jarvis (rjarvis2010) wrote :

Here they are. Hope they're useful to somebody. If anybody finds this and wants to implement it themselves (rather than wait for the package), you can create a new theme as described above and untar the archive from the root icon directory (/usr/share/icons/<your-new-theme>/).

rjarvis2010 (rob-jarvis):
Thanks, I'll take a look at your icons and make sure they get included in Lubuntu.

Unless you logout/restart, you will also have to reload the icon cache
and restart the panel. To activate it without a restart/logout:

sudo gtk-update-icon-cache
sudo lxpanelctl restart

Rob

On 11/28/2012 02:13 PM, rjarvis2010 wrote:
> Here they are. Hope they're useful to somebody. If anybody finds this
> and wants to implement it themselves (rather than wait for the package),
> you can create a new theme as described above and untar the archive from
> the root icon directory (/usr/share/icons/<your-new-theme>/).
>
> ** Attachment added: "VPN icons for all signal strengths"
> https://bugs.launchpad.net/ubuntu/+source/gnome-icon-theme/+bug/772709/+attachment/3446246/+files/wireless-vpn-icons.tgz
>

Rob Jarvis (rjarvis2010) wrote :

Thanks, Alexander!

Rob Jarvis (rjarvis2010) wrote :

I played around some more and found out that the icon location I was using doesn't play nice when the nm-applet isn't in the indicator panel. So I found a better place for it and (tried to) improve the quality a little. (I tried to switch to SVG, but that seems to interfere with the 'connecting' animation.)

So, long story short these ones should be better.

Arai Quantum Krafart (krafart) wrote :

Same issue with wwan icon also.

Arai Quantum Krafart (krafart) wrote :

The bug is still there with a clean install of Lubuntu 13.04 (+network-manager-openvpn).

tags: added: raring
Oriez (ori-ez5) wrote :

Still exist (sometimes) in 13.10

Never Follow (neverflw) wrote :

Confirming that the bug still exists in Lubuntu 13.10, as far as the nm-signal*secure.svg files are concerned for the default Lubuntu theme.

Workaround as above (#18); note that the default theme seems/is 'Lubuntu', so use that theme as basis:

sudo cp -a lubuntu <new theme directory>
cd <new theme directory>
sudo vi index.theme
sudo cp ../Humanity-Dark/status/22/nm-device-wired-secure.svg panel/22/

Lastly, choose the modified theme in Preferences -> Customize Look and Feel.

Ryan Kersh (ryankersh) wrote :

Still exists in Xubuntu 14.04

The Tango icon theme is missing the nm-device-wired-secure icon. This prevents the NetworkManager applet icon from indicating when a VPN is connected on a wired connection. (A padlock is normally shown over the device icon.)

See also:
https://bugs.launchpad.net/ubuntu/+source/tango-icon-theme/+bug/772709

Note: I haven't verified that adding an nm-device-wired-secure icon would be the right fix; I simply copied that idea from the launchpad bug report. It has been sitting there for years, so I figure some attention from upstream ought to be helpful in solving it.

Changed in tango-icon-theme:
importance: Unknown → Medium
status: Unknown → Confirmed
Forest (foresto) on 2015-09-05
Changed in network-manager-applet (Ubuntu):
status: Invalid → Confirmed
Forest (foresto) wrote :

Removing nm-applet-use-indicator.patch (and refreshing the patches that depend on it) fixes this in Xubuntu. In other words, that patch causes the regression.

I'm removing the invalid status on network-manager-applet (Ubuntu), in hopes of getting someone to reevaluate this. If Ubuntu maintainers are going to patch in special functionality just for Unity, how about doing it without breaking things?

(This is not the first time a patch intended to make a package use Unity's Application Indicators has broken the package for Xubuntu and other desktops. I really wish the people responsible would be more careful.)

Forest (foresto) wrote :

I also created an upstream bug report against the Tango icon theme, mainly to get more eyes on the problem. Honestly, though, I don't expect every icon theme developer will want to to modify their software in order to compensate for something that was broken by an Ubuntu-specific patch.

Forest (foresto) wrote :

Also, this is a security problem. It robs the user of the ability to easily see that the VPN is (still) connected. If the VPN goes down, and the user doesn't happen to see the momentary pop-up message (or if that message has been accidentally or deliberately suppressed), the user will think his communications are encrypted when they are actually exposed.

It can easily be exploited:
1. Distract the user or wait until he looks away from his screen.
2. Interfere with the internet connection for a few seconds, causing the user's VPN to fail.
3. Capture the user's packets.

Hugh Buntu (hughbuntu) wrote :

It may not be the same bug, but this problem persists in 15.10 for "wired connections" (lock icon appears OK for WiFi connections).
My navigating to the VPN Connections sub-menu, you can visually verify if the connection is encrypted by observing if a configuration is highlighted.

The vulnerability that commenter Forest (Foresto) referred to is still present for users with a line connection.

Yours Truly,

Hugh Buntu

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.